# Get account documents

URL: /en/docs/api/v1/accounts/id/documents/get
Last Updated: 2026-07-30T21:15:30.468Z

## Description
No description available.

## Available Actions
- Execute GET request
- View request parameters
- View response schema
- Get code examples
- Navigate to related topics
- View step-by-step instructions
- Get best practices

## Content
### GET /api/v1/accounts/{id}/documents

**Get account documents**

Retrieve all documents associated with a specific account, including shared status and access information.

**Authentication:** Bearer token (`Authorization: Bearer <token>`)

**Path parameters:**

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string (uuid) | Yes | Account ID |

**Query parameters:**

| Name | Type | Required | Description |
|---|---|---|---|
| `access_level` | enum: public \| restricted \| requires_nda \| internal | No | Filter by document access level |
| `shared_only` | boolean | No | Only return documents currently shared with this account |

**Responses:**

- `200` - Account documents retrieved successfully
  - `documents` (array of AccountDocument (object))
    - `id` (string (uuid)): Document identifier
    - `title` (string): Document title
    - `access_level` (enum: public | restricted | requires_nda | internal): Document access level
    - `is_shared` (boolean): Whether this document is currently shared with the account
    - `date_shared` (string (date-time)): When the document was shared with the account
    - `category` (object): Document category information
      - `title` (string): Category name
    - `description` (string): Document description
    - `file_size` (integer): File size in bytes
    - `file_type` (string): MIME type of the file

  Example (Successful response):
  
  ```json
  {
  "documents": [
    {
      "id": "doc-123",
      "title": "Privacy Policy",
      "access_level": "public",
      "is_shared": true,
      "date_shared": "2025-01-10T10:00:00Z",
      "category": {
        "title": "Legal"
      }
    },
    {
      "id": "doc-456",
      "title": "Technical Documentation",
      "access_level": "restricted",
      "is_shared": false,
      "date_shared": null,
      "category": {
        "title": "Technical"
      }
    }
  ]
}
  ```
- `401` - Unauthorized
- `403` - Forbidden - account not in your tenant
- `404` - Account not found
- `500` - Internal server error

**Code samples:**

cURL:

```bash
curl -X GET "https://app.orbiqhq.com/api/v1/accounts/{id}/documents" \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json"
```

